const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const league_team_players = sequelize.define(
    'league_team_players',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

joined_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  league_team_players.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop



    db.league_team_players.belongsTo(db.league_teams, {
      as: 'league_team',
      foreignKey: {
        name: 'league_teamId',
      },
      constraints: false,
    });

    db.league_team_players.belongsTo(db.players, {
      as: 'player',
      foreignKey: {
        name: 'playerId',
      },
      constraints: false,
    });

    db.league_team_players.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.league_team_players.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.league_team_players.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return league_team_players;
};


